Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.development.testing
Class LocalMailServiceTestConfig

    java.lang.Object
      com.google.appengine.tools.development.testing.LocalMailServiceTestConfig

All Implemented Interfaces:
  LocalServiceTestConfig

    public class LocalMailServiceTestConfig

extends java.lang.Object
implements LocalServiceTestConfig

Config for accessing the local mail service in tests. `tearDown()` wipes out sent messages so that there is no state passed between tests.

Constructor Summary
`LocalMailServiceTestConfig()`

Method Summary
`static LocalMailService` | `getLocalMailService()`
`java.lang.Boolean` | `getLogMailBody()`
`java.util.logging.Level` | `getLogMailLevel()`
`LocalMailServiceTestConfig` | `setLogMailBody(boolean logMailBody)` Controls whether or not the message body is logged.
`LocalMailServiceTestConfig` | `setLogMailLevel(java.util.logging.Level logMailLevel)` Controls the level at which each message is logged.
`void` | `setUp()` Set up the local service.
`void` | `tearDown()` Tear down the local service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalMailServiceTestConfig

    public LocalMailServiceTestConfig()

Method Detail

### setUp

    public void setUp()

  Description copied from interface: `LocalServiceTestConfig`
  Set up the local service.

  Specified by:
    `setUp` in interface `LocalServiceTestConfig`

### tearDown

    public void tearDown()

  Description copied from interface: `LocalServiceTestConfig`
  Tear down the local service.

  Specified by:
    `tearDown` in interface `LocalServiceTestConfig`

### getLogMailBody

    public java.lang.Boolean getLogMailBody()

### setLogMailBody

    public LocalMailServiceTestConfig setLogMailBody(boolean logMailBody)

  Controls whether or not the message body is logged.

  Parameters:
    `logMailBody` -
  Returns:
    `this` (for chaining)

### getLogMailLevel

    public java.util.logging.Level getLogMailLevel()

### setLogMailLevel

    public LocalMailServiceTestConfig setLogMailLevel(java.util.logging.Level logMailLevel)

  Controls the level at which each message is logged.

  Parameters:
    `logMailLevel` -
  Returns:
    `this` (for chaining)

### getLocalMailService

    public static LocalMailService getLocalMailService()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD